from setuptools import setup, find_packages

setup(
    name="aiia",
    version="0.1.0",
    packages=find_packages(where="src"),
    package_dir={"": "src"},
    install_requires=[
        "torch>=1.8.0",
        "numpy>=1.19.0",
        "tqdm>=4.62.0",
    ],
    author="Falko Habel",
    author_email="falko.habel@gmx.de",
    description="AIIA deep learning model implementation",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://gitea.fabelous.app/Maschine-Learning/AIIA.git",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: Creative Commons Attribution-NonCommercial 4.0 International",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.10",
)
